summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefan Fritsch <sf@debian.org>2007-06-06 18:55:04 +0000
committerStefan Fritsch <sf@sfritsch.de>2012-01-02 10:36:40 +0100
commitabadb486ea5e185e96782cbe00d688ba15e28267 (patch)
treedadddd1c72e82756ae4058f6fcde949ed3b0b2d2
parente8147683671d480e9e7f82692be73f283b06b26a (diff)
downloadapache2-abadb486ea5e185e96782cbe00d688ba15e28267.tar.gz
remove symlinks and config files on purge
git-svn-id: svn+ssh://svn.debian.org/svn/pkg-apache/trunk/apache2@326 01b336ce-410b-0410-9a02-a0e7f243c266
-rw-r--r--debian/apache2.2-common.postrm24
-rw-r--r--debian/changelog2
2 files changed, 26 insertions, 0 deletions
diff --git a/debian/apache2.2-common.postrm b/debian/apache2.2-common.postrm
new file mode 100644
index 00000000..11c951dc
--- /dev/null
+++ b/debian/apache2.2-common.postrm
@@ -0,0 +1,24 @@
+#! /bin/sh
+
+set -e
+
+if [ "$1" = purge ] ; then
+ rm -f /etc/apache2/httpd.conf \
+ /etc/apache2/ports.conf \
+ /etc/apache2/conf.d/charset
+
+ for f in /etc/apache2/sites-enabled/* \
+ /etc/apache2/mods-enabled/* ; do
+ [ -L "$f" ] && rm -f "$f"
+ done
+
+ for d in /etc/apache2/sites-enabled/ \
+ /etc/apache2/mods-enabled/ \
+ /etc/apache2/conf.d \
+ /etc/apache2 ; do
+ rmdir $d 2> /dev/null || true
+ done
+
+fi
+
+#DEBHELPER#
diff --git a/debian/changelog b/debian/changelog
index 36ea2357..ef5af916 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -37,6 +37,8 @@ apache2 (2.2.3-5) UNRELEASED; urgency=low
* Treat apache2-mpm-itk as prefork in a2enmod (Closes: #412602)
* Add README.Debian to describe when and how to change "restart" to "reload"
in the logrotate script.
+ * When purging, remove {mods,sites}-enabled symlink and the config files
+ created by postinst (Closes: #397789)
-- Thom May <thom@debian.org> Sat, 28 Apr 2007 11:32:14 +0200